Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHComment

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHElement
          edu.harvard.hul.ois.jhove.module.html.JHComment

    public class JHComment

extends JHElement

Representation of a parsed HTML comment.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`_column, _line`

Constructor Summary
`JHComment(java.util.List elements, java.lang.String text)` Constructor.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`getColumn, getEntities, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JHComment

    public JHComment(java.util.List elements,
                     java.lang.String text)

  Constructor. Just adds the comment to the element list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD